> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/theme...

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/theme...
```

where `...` represents either nothing or any one of the following paths (appended to the URL [above](/3.3/api/access-service-theme.md#access-service-theme-url-structure)):

* `/adminEmail`
* `/adminHelpUrl`
* `/androidAuthenticatorUrl`
* `/applicationName`
* `/companyName`
* `/copyright`
* `/iphoneAuthenticatorUrl`
* `/legalUrl`
* `/orgAdminHelpUrl`
* `/privacyUrl`
* `/supportLink`
* `/versionUrl`
* `/webappHelpUrl`
* `/windowsAuthenticatorUrl`

## Supported methods and overview&#x20;

* `GET` - used to retrieve the current values for each (or all) theme-related Safe Share Administration properties, many of which can be [overridden through Organization Administration](/3.3/api/access-service-api-v1-organisations-orggroupid.md).

> [!NOTE]
>
> This method takes no parameters.

## Detailed description&#x20;

This API endpoint retrieves the current values for all theme-related Safe Share Administration properties (i.e. when nothing is appended to the URL [above](/3.3/api/access-service-theme.md#access-service-theme-url-structure)). Many of these properties can be [overridden through Organization Administration](/3.3/api/access-service-api-v1-organisations-orggroupid.md).

Each of the following paths (which can be appended to the URL above) relates to an individual property (accessible through the [System Details](/3.3/admin-platform/configuring-platform-administration-properties.md#system-details-properties) section of the [Configuration](/3.3/admin-platform/configuring-platform-administration-properties.md) page of Safe Share Administration), such that making a `GET` request on that URL/path combination retrieves the value for that property only:

| Appended URL path | System Details property | Can be modified through this API endpoint |
| - | - | - |
| /adminEmail | Admin Email | [\<access-service>/api/v1/config/theme/adminEmail](/3.3/api/access-service-api-v1-config-theme-adminemail.md) |
| /adminHelpUrl | Safe Share Administration Help URL | [\<access-service>/api/v1/config/theme/adminHelpUrl](/3.3/api/access-service-api-v1-config-theme-adminhelpurl.md) |
| /androidAuthenticatorUrl | Android Phone Authenticator URL | [\<access-service>/api/v1/config/theme/androidAuthenticatorUrl](/3.3/api/access-service-api-v1-config-theme-androidauthenticatorurl.md) |
| /applicationName | Application Name | [\<access-service>/api/v1/config/theme/applicationName](/3.3/api/access-service-api-v1-config-theme-applicationname.md) |
| /companyName | Company Name | [\<access-service>/api/v1/config/theme/companyName](/3.3/api/access-service-api-v1-config-theme-companyname.md) |
| /copyright | Email Notification Copyright Notice | [\<access-service>/api/v1/config/theme/copyright](/3.3/api/access-service-api-v1-config-theme-copyright.md) |
| /iphoneAuthenticatorUrl | iPhone Authenticator URL | [\<access-service>/api/v1/config/theme/iphoneAuthenticatorUrl](/3.3/api/access-service-api-v1-config-theme-iphoneauthenticatorurl.md) |
| /legalUrl | Legal URL | [\<access-service>/api/v1/config/theme/legalUrl](/3.3/api/access-service-api-v1-config-theme-legalurl.md) |
| /orgAdminHelpUrl | Organization Administration Help URL | [\<access-service>/api/v1/config/theme/orgAdminHelpUrl](/3.3/api/access-service-api-v1-config-theme-orgadminhelpurl.md) |
| /privacyUrl | The URL of the privacy statement | [\<access-service>/api/v1/config/theme/privacyUrl](/3.3/api/access-service-api-v1-config-theme-privacyurl.md) |
| /supportLink | Support URL | [\<access-service>/api/v1/config/theme/supportLink](/3.3/api/access-service-api-v1-config-theme-supportlink.md) |
| /versionUrl | Version URL | [\<access-service>/api/v1/config/theme/versionUrl](/3.3/api/access-service-api-v1-config-theme-versionurl.md) |
| /webappHelpUrl | Web Application Help URL | [\<access-service>/api/v1/config/theme/webappHelpUrl](/3.3/api/access-service-api-v1-config-theme-webapphelpurl.md) |
| /windowsAuthenticatorUrl | Windows Phone Authenticator URL | [\<access-service>/api/v1/config/theme/windowsAuthenticatorUrl](/3.3/api/access-service-api-v1-config-theme-windowsauthenticatorurl.md) |

## Supported roles&#x20;

This API endpoint supports the following Covata user [roles](/3.3/admin-platform/administering-platform-administrator-users.md#platform-administrators-and-user-roles) (as described in the [Safe Share Administrator's Guide](/3.3/admin-platform.md)):

* [Safe Share administrator](/3.3/admin-platform/administering-platform-administrator-users.md#platform-administrator-role)

The Covata Platform's resources available to a Covata user meeting the criteria above is determined by the access token submitted in the [header](/3.3/api/access-service-theme.md#access-service-theme-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...`

## Returns&#x20;

If the request succeeded, then an HTTP response status `200 OK` is returned.

For successful requests only, a JSON-formatted response containing the following members is also returned:

* **property\_name** - The name of the property, followed by its value. \

  **Notes:**

  * Most **property\_name**s are similar to (but do not match) the URL path components [above](/3.3/api/access-service-theme.md#access-service-theme-detailed-description), which can be appended to this endpoint's URL. These names are hard-coded in the Covata Platform.
  * When a URL path component is appended to this endpoint's URL, the property name is returned as just **property**.

  **Example (response from a GET request to '\<access-service>/theme'):**

  ```json theme={null}
  {
      "copyright": "YEAR Covata.",
      "authenticator_windows_url": "https://www.windowsphone.com/en-au/store/app/authenticator/021dd79f-0598-e011-986b-78e7d1fa76f8",
      "authenticator_android_url": "https://play.google.com/store/apps/details?id=com.google.android.apps.authenticator2",
      "support_link": "https://support.covata.com",
      "org_admin_help_url": "https://docs.covata.com/latest/admin-org/",
      "admin_email": "",
      "admin_help_url": "https://docs.covata.com/latest/admin-platform/",
      "application_name": "Safe Share",
      "legal_url": "https://docs-staticassets.covata.io/html/legal.html",
      "company_name": "Covata",
      "authenticator_iphone_url": "https://itunes.apple.com/au/app/google-authenticator/id388497605?mt=8",
      "privacy_url": "",
      "webapp_help_url": "https://docs.covata.com/latest/user/",
      "version_url": "https://www.covata.com/product-releasenotes/"
  }
  ```

  **Example (response from a GET request to '\<access-service>/theme/companyName'):**

  ```json theme={null}
  {
      "property": "Covata"
  }
  ```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.